McKay := function(G)
  local N, n, m, p;
  for p in PrimeDivisors(Order(G)) do
    N := Normalizer(G, SylowSubgroup(G, p));
    n := Number(Irr(G), x->Degree(x) mod p <> 0);
    m := Number(Irr(N), x->Degree(x) mod p <> 0);
    if not n = m then
      return false;
    fi;
  od;
  return true;
end;

